3 Replies Latest reply on Dec 2, 2007 7:19 AM by rayearle


      I am running Fireworks, which I believe was the general release version for release 8. Can the Adobe® Fireworks® CS3 (1.0) Updater be used to update Fireworks 8. Do I need to do so or first contact Adobe sales?